datablock ShapeBaseImageData(VentoroSF4000HL1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 2;
   rotation = "1 0 0 -90";

	lighttype="constantlight";
	lightcolor="1 0.9 0.5";
	lightradius=25;

	stateName[0] = "Ready";

};

datablock TSShapeConstructor(VentoroSF4000DTS)
{
  baseShape = "./VentoroSF4000.dts";
  sequence0 = "./VentoroSF4000Popup.dsq Popup";
  sequence1 = "./VentoroSF4000Popdown.dsq  Popdown";
};


package VentoroSF4000Headlights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "VentoroSF4000vehicle" && %pl.getMountNode() == 0)
			{
				servercmdVentoroSF4000Light(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdVentoroSF4000Light(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "VentoroSF4000vehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.unhidenode(brakeON);
			%veh.hidenode(brakeOFF);
			%veh.playThread(0,Popup);
		}
		else
		{
			%veh.headlight = 0;
			%veh.hidenode(brakeON);
			%veh.unhidenode(brakeOFF);
			%veh.unMountImage(0);
			%veh.playThread(0,Popdown);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "VentoroSF4000vehicle")
			return;

		%col.headlight = 0;
		%col.hidenode(brakeON);
		%col.unhidenode(brakeOFF);
		%col.playThread(0,Popdown);
	}
};
activatepackage(VentoroSF4000Headlights);